Bug Hunting Session
Bug 49576 - MAC AT accessibility problems failing Apple checking
Summary: MAC AT accessibility problems failing Apple checking
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 46107
Blocks: a11y-macOS
  Show dependency treegraph
 
Reported: 2012-05-07 03:30 UTC by Alex Thurgood
Modified: 2019-01-23 03:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
output with default Base document (30.01 KB, text/plain)
2012-05-07 03:30 UTC, Alex Thurgood
Details
output with Base wizard page 1 (23.49 KB, text/plain)
2012-05-07 03:31 UTC, Alex Thurgood
Details
output Base wizard page 2 (22.77 KB, text/plain)
2012-05-07 03:32 UTC, Alex Thurgood
Details
ouput Base wizard page 3 and save dialog (87.37 KB, text/plain)
2012-05-07 03:32 UTC, Alex Thurgood
Details
output default Calc document (248.57 KB, text/plain)
2012-05-07 03:33 UTC, Alex Thurgood
Details
output default Draw document (54.92 KB, text/plain)
2012-05-07 03:33 UTC, Alex Thurgood
Details
output default Impress document (89.89 KB, text/plain)
2012-05-07 03:34 UTC, Alex Thurgood
Details
output default Math document (27.11 KB, text/plain)
2012-05-07 03:34 UTC, Alex Thurgood
Details
StarCenter AT verifier (19.14 KB, application/pdf)
2015-04-24 14:08 UTC, Alex Thurgood
Details
Writer AT verifier (25.72 KB, application/pdf)
2015-04-24 14:08 UTC, Alex Thurgood
Details
Calc AT verifier (58.35 KB, application/pdf)
2015-04-24 14:09 UTC, Alex Thurgood
Details
Draw AT verifier (28.59 KB, application/pdf)
2015-04-24 14:09 UTC, Alex Thurgood
Details
Impress AT verifier (38.08 KB, application/pdf)
2015-04-24 14:10 UTC, Alex Thurgood
Details
DBWizard Step1 AT verifier (15.42 KB, application/pdf)
2015-04-24 14:10 UTC, Alex Thurgood
Details
DBWizard Step 2 Verifier (15.26 KB, application/pdf)
2015-04-24 14:11 UTC, Alex Thurgood
Details
DBWizardSaveAsDialog AT verifier (89.26 KB, application/pdf)
2015-04-24 14:11 UTC, Alex Thurgood
Details
DBMainWindowTables AT verifier (25.02 KB, application/pdf)
2015-04-24 14:12 UTC, Alex Thurgood
Details
Formula AT verifier (22.42 KB, application/pdf)
2015-04-24 14:13 UTC, Alex Thurgood
Details
FromTemplate AT verifier (23.91 KB, application/pdf)
2015-04-24 14:14 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2012-05-07 03:30:43 UTC
Created attachment 61124 [details]
output with default Base document

Currently, LibreOffice has incomplete support for accesibility tools like screenreaders, and even the default VoiceOver provided by Apple.

This also causes instability problems leading to frequent crashing on some systems, e.g :

https://bugs.freedesktop.org/show_bug.cgi?id=47368
https://bugs.freedesktop.org/show_bug.cgi?id=42014
https://bugs.freedesktop.org/show_bug.cgi?id=48329
https://bugs.freedesktop.org/show_bug.cgi?id=33359


I ran Apple's provided developer tool, Accessibility Checker over the default launches of the various modules of LO with 3.5.2 and am enclosing the output here as text files which shows quite a large number of errors/warnings.


Alex
Comment 1 Alex Thurgood 2012-05-07 03:31:29 UTC
Created attachment 61125 [details]
output with Base wizard page 1
Comment 2 Alex Thurgood 2012-05-07 03:32:12 UTC
Created attachment 61126 [details]
output Base wizard page 2
Comment 3 Alex Thurgood 2012-05-07 03:32:51 UTC
Created attachment 61127 [details]
ouput Base wizard page 3 and save dialog
Comment 4 Alex Thurgood 2012-05-07 03:33:28 UTC
Created attachment 61128 [details]
output default Calc document
Comment 5 Alex Thurgood 2012-05-07 03:33:56 UTC
Created attachment 61129 [details]
output default Draw document
Comment 6 Alex Thurgood 2012-05-07 03:34:26 UTC
Created attachment 61131 [details]
output default Impress document
Comment 7 Alex Thurgood 2012-05-07 03:34:57 UTC
Created attachment 61132 [details]
output default Math document
Comment 8 Roman Eisele 2012-08-25 10:54:10 UTC
Added bug 46107 - "UI: Voiceover not announcing cell content or position"
Comment 9 retired 2013-07-28 21:36:54 UTC
46107 was fixed. Might this be fixed as well?
Comment 10 Boris Dušek 2013-07-30 20:38:33 UTC
Fixing of 46107 IMHO does not at all influence any of the problems reported in the Accessibility Verifier output, since Accessibility Verifier does not test accessibility notifications (which is the only thing fixing 46107 changed).
Comment 11 QA Administrators 2015-04-01 14:42:00 UTC Comment hidden (obsolete)
Comment 12 Alex Thurgood 2015-04-24 14:08:08 UTC
Created attachment 115053 [details]
StarCenter AT verifier
Comment 13 Alex Thurgood 2015-04-24 14:08:34 UTC
Created attachment 115054 [details]
Writer AT verifier
Comment 14 Alex Thurgood 2015-04-24 14:09:02 UTC
Created attachment 115055 [details]
Calc AT verifier
Comment 15 Alex Thurgood 2015-04-24 14:09:34 UTC
Created attachment 115056 [details]
Draw AT verifier
Comment 16 Alex Thurgood 2015-04-24 14:10:06 UTC
Created attachment 115057 [details]
Impress AT verifier
Comment 17 Alex Thurgood 2015-04-24 14:10:35 UTC
Created attachment 115058 [details]
DBWizard Step1 AT verifier
Comment 18 Alex Thurgood 2015-04-24 14:11:07 UTC
Created attachment 115059 [details]
DBWizard Step 2 Verifier
Comment 19 Alex Thurgood 2015-04-24 14:11:48 UTC
Created attachment 115060 [details]
DBWizardSaveAsDialog AT verifier
Comment 20 Alex Thurgood 2015-04-24 14:12:38 UTC
Created attachment 115061 [details]
DBMainWindowTables AT verifier
Comment 21 Alex Thurgood 2015-04-24 14:13:58 UTC
Created attachment 115062 [details]
Formula AT verifier
Comment 22 Alex Thurgood 2015-04-24 14:14:25 UTC
Created attachment 115063 [details]
FromTemplate AT verifier
Comment 23 Alex Thurgood 2015-04-24 14:15:34 UTC
Just retested against daily build 

Version: 5.0.0.0.alpha1+
Build ID: da36fc8c9564199b8c2f8f28c2e4d04d9862a2d4
TinderBox: MacOSX-10.10@61, Branch:master, Time: 2015-04-21_21:09:35
Locale: fr_

have attached the outputs as PDF documents.
Comment 24 V Stuart Foote 2015-04-24 14:17:06 UTC
a little QA housekeeping

Alex, thanks for posting the AT verifier results.
Comment 25 QA Administrators 2016-11-08 10:38:24 UTC Comment hidden (obsolete)
Comment 26 Alex Thurgood 2017-10-09 16:44:03 UTC
Re-did tests on master and OSX 10.13 High Sierra - results in separate bug reports (see also)
Comment 27 QA Administrators 2019-01-23 03:48:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug